> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-payment.md).

# FirmhousePayment

## Properties

| Property           | Type                                                                                     | Description                                                                                                                                                            |
| ------------------ | ---------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `amountCents`      | `number`                                                                                 | Payment amount in cents.                                                                                                                                               |
| `amountWithSymbol` | `string`                                                                                 | Payment amount with currency symbol.                                                                                                                                   |
| `createdAt`        | `string`                                                                                 | When the payment record was first created.                                                                                                                             |
| `id`               | `string`                                                                                 | The database ID of the payment.                                                                                                                                        |
| `paymentId`        | `null` \| `string`                                                                       | The external payment reference from the payment service provider.                                                                                                      |
| `paymentStatus`    | [`PaymentStatusEnum`](/sdks/firmhouse-sdk/reference/enumerations/payment-status-enum.md) | Status of the payment.                                                                                                                                                 |
| `paymentType`      | [`PaymentTypeEnum`](/sdks/firmhouse-sdk/reference/enumerations/payment-type-enum.md)     | The type of transaction that this payment represents                                                                                                                   |
| `refunds`          | [`FirmhouseRefund`](/sdks/firmhouse-sdk/reference/interfaces/firmhouse-refund.md)\[]     | The refunds for this payment.                                                                                                                                          |
| `retryPaymentUrl`  | `null` \| `string`                                                                       | Send your customer to this URL to allow them to retry the failed payment. Append ?return\_url=<https://your-url> to send the customer back after a successful payment. |
| `token`            | `string`                                                                                 | Token to identify the payment with                                                                                                                                     |
| `updatedAt`        | `string`                                                                                 | When the payment record was last updated.                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/interfaces/firmhouse-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
